#

inputSuffixes="1-1 1-2 1-3 1-4 1-5 2-1 2-2 2-3 2-4 2-5 "
#inputSuffixes="1-1"
inputPrefix=inputData/ds-562-
outputPrefix=outputData/results
rateMultiplier=10.0
inpToInh=0.00002

for trainSuffix in $inputSuffixes
do
    trainFile=$inputPrefix$trainSuffix.csv
    python mnistTest.py train $trainFile $trainFile $rateMultiplier $inpToInh
    python mnistTest.py test synapses.pkl $trainFile $rateMultiplier $inpToInh
    python printPklFile.py cat.pkl > mnistCat.sp
    python rateMNISTCatNeurons.py $trainFile mnistCat.sp

    for testSuffix in $inputSuffixes
        do
	    testFile=$inputPrefix$testSuffix.csv
	    python mnistTest.py test synapses.pkl $testFile $rateMultiplier $inpToInh
	    python printPklFile.py cat.pkl > mnistCat.sp
	    outputFileName=$outputPrefix$trainSuffix$testSuffix.res
	    python categoriseMNIST.py spikesPerMNISTCat.pkl mnistCat.sp $testFile > $outputFileName

	done

done
