#

inputFile1=inputData/irisDat2a.txt
inputFile2=inputData/irisDat2b.txt
outputFilePrefix=outputData/catResults
for rateMultiplier in 20.0
do
    #for inpToInh in 0.0005
    for inpToInh in 0.0002
    do
	echo $rateMultiplier $inpToInh
	#train1 test2
	python fullIrisTest.py $inputFile1 $inputFile2 $rateMultiplier $inpToInh
	python printPklFile.py cat4.pkl > full.sp
	python splitSpikeFile.py full.sp
	cp full.sp fullA.sp
	cp spikesPerCat.pkl spikesPerCat1.pkl 
	python pickCatNeurons.py test1.sp
	trainOutputFile=$outputFilePrefix+$rateMultiplier+$inpToInh+"F1F1.txt"
	python categorise.py spikesPerCat.pkl test2.sp > $trainOutputFile
	testOutputFile=$outputFilePrefix+$rateMultiplier+$inpToInh+"F1F2.txt"
	python categorise.py spikesPerCat.pkl test3.sp > $testOutputFile


	#train2 test1 
	python fullIrisTest.py $inputFile2 $inputFile1 $rateMultiplier $inpToInh
	python printPklFile.py cat4.pkl > full.sp
	python splitSpikeFile.py full.sp
	python pickCatNeurons.py test1.sp
	trainOutputFile=$outputFilePrefix+$rateMultiplier+$inpToInh+"F2F2.txt"
	python categorise.py spikesPerCat.pkl test2.sp > $trainOutputFile
	testOutputFile=$outputFilePrefix+$rateMultiplier+$inpToInh+"F2F1.txt"
	python categorise.py spikesPerCat.pkl test3.sp > $testOutputFile
    done
done #rateMultiplier

